com.trendmicro.ds.appcontrol.rest.object.drift

## Class ReviewComputerDriftResponse

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.ReviewComputerDriftResponse

-     public class ReviewComputerDriftResponse
      extends java.lang.Object

  Response object for the ReviewComputerDrift API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReviewComputerDriftResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getDecisionLogID()` Get the ID for review computer drift decision.
    `void` | `setDecisionLogID(java.lang.Long decisionLogID)` Set the ID for review computer drift decision.
    `ReviewComputerDriftResponse` | `withDecisionLog(java.lang.Long decisionLogID)` Set the ID for review computer drift decision.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReviewComputerDriftResponse

          public ReviewComputerDriftResponse()

  - ### Method Detail

    - #### getDecisionLogID

          public java.lang.Long getDecisionLogID()

      Get the ID for review computer drift decision.
      Returns:
        the ID for review computer drift decision.

    - #### setDecisionLogID

          public void setDecisionLogID(java.lang.Long decisionLogID)

      Set the ID for review computer drift decision.
      Parameters:
        `the` - ID for review computer drift decision.

    - #### withDecisionLog

          public ReviewComputerDriftResponse withDecisionLog(java.lang.Long decisionLogID)

      Set the ID for review computer drift decision.
      Parameters:
        `decisionLogID` - the ID for review computer drift decision.
      Returns:
        the updated `ReviewComputerDriftResponse` object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.